com.google.gwt.core.ext.typeinfo

## Interface JField

All Superinterfaces:
  HasAnnotations

All Known Subinterfaces:
  JEnumConstant

    public interface JField
    extends HasAnnotations

Represents a field declaration.

### Method Summary

All Methods Instance Methods Abstract Methods
`JClassType` `getEnclosingType()`
`java.lang.String` `getName()`
`JType` `getType()`
`boolean` `isDefaultAccess()`
`JEnumConstant` `isEnumConstant()`
`boolean` `isFinal()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`boolean` `isTransient()`
`boolean` `isVolatile()`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getEnclosingType

    JClassType getEnclosingType()

#### getName

    java.lang.String getName()

#### getType

    JType getType()

#### isDefaultAccess

    boolean isDefaultAccess()

#### isEnumConstant

    JEnumConstant isEnumConstant()

#### isFinal

    boolean isFinal()

#### isPrivate

    boolean isPrivate()

#### isProtected

    boolean isProtected()

#### isPublic

    boolean isPublic()

#### isStatic

    boolean isStatic()

#### isTransient

    boolean isTransient()

#### isVolatile

    boolean isVolatile()